package com.qianhe.mapper;

import java.util.List;
import com.qianhe.domain.SjZdbfZsdwkhpjZb;

/**
 * 指导帮扶-直属单位考核评价主Mapper接口
 * 
 * @author qianhe
 * @date 2024-07-24
 */
public interface SjZdbfZsdwkhpjZbMapper 
{
    /**
     * 查询指导帮扶-直属单位考核评价主
     * 
     * @param id 指导帮扶-直属单位考核评价主主键
     * @return 指导帮扶-直属单位考核评价主
     */
    public SjZdbfZsdwkhpjZb selectSjZdbfZsdwkhpjZbById(Long id);

    /**
     * 查询指导帮扶-直属单位考核评价主列表
     * 
     * @param sjZdbfZsdwkhpjZb 指导帮扶-直属单位考核评价主
     * @return 指导帮扶-直属单位考核评价主集合
     */
    public List<SjZdbfZsdwkhpjZb> selectSjZdbfZsdwkhpjZbList(SjZdbfZsdwkhpjZb sjZdbfZsdwkhpjZb);

    /**
     * 新增指导帮扶-直属单位考核评价主
     * 
     * @param sjZdbfZsdwkhpjZb 指导帮扶-直属单位考核评价主
     * @return 结果
     */
    public int insertSjZdbfZsdwkhpjZb(SjZdbfZsdwkhpjZb sjZdbfZsdwkhpjZb);

    /**
     * 修改指导帮扶-直属单位考核评价主
     * 
     * @param sjZdbfZsdwkhpjZb 指导帮扶-直属单位考核评价主
     * @return 结果
     */
    public int updateSjZdbfZsdwkhpjZb(SjZdbfZsdwkhpjZb sjZdbfZsdwkhpjZb);

    /**
     * 删除指导帮扶-直属单位考核评价主
     * 
     * @param id 指导帮扶-直属单位考核评价主主键
     * @return 结果
     */
    public int deleteSjZdbfZsdwkhpjZbById(Long id);

    /**
     * 批量删除指导帮扶-直属单位考核评价主
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSjZdbfZsdwkhpjZbByIds(Long[] ids);

    SjZdbfZsdwkhpjZb selectSjZdbfZsdwkhpjZb(SjZdbfZsdwkhpjZb sjZdbfZsdwkhpjZb);

}
